#ifndef INC_LINALG_HPP_
#define INC_LINALG_HPP_
#include <sta/math/linalg/matrix.hpp>

namespace math 
{
namespace linalg 
{

matrix dot(matrix, matrix);
float norm(matrix);
matrix normalize(matrix);
matrix cross(matrix, matrix);
matrix skew_symmetric(matrix);
matrix add(matrix, matrix);
matrix subtract(matrix, matrix);
matrix dot(matrix, float);
matrix cof(matrix);
matrix adj(matrix);

matrix inv(matrix);

matrix inv_adj(matrix);
matrix inv_char_poly(matrix);
matrix inv_schur_dec(matrix);

matrix _inv_char_poly_3x3(matrix);
matrix _inv_char_poly_2x2(matrix);

}
}
#endif /* INC_LINALG_HPP_ */
